Comparing files po4109.dbl and C:\DTE\TECHFORCE\PO4109.DBL_TF
***** po4109.dbl
;==Function=============================================================;
;       po4109          Custom Purchase orders / form 9.
;                       NEBS form:      9055
;                       MOORE series:   4030
;==Changes==============================================================;
; 01/08/2007 ESC - Add new Reference to function the same as Remarks
; 07/06/2006 lso - customize PO Form lines for TechForce, per Ed
; 05/03/2001 tah - Changed for printing kit components/serial numbers.
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
;==Function=============================================================;
;       po4109          Purchase orders / form 9.
;                       NEBS form:      9055 custom
;                       MOORE series:   4030 custom
;==Changes==============================================================;
; 07/06/2006 lso - changed format to Ed's specs
; 05/03/2001 tah - Changed for printing kit components/serial numbers.
*****

***** po4109.dbl
record  pline
                ,a85
record  ,X
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
record  pline
                ,a80
record  ,X
*****

***** po4109.dbl
        prdate          ,a8     @1
        prsvia          ,a15    @11
        prfob           ,a11    @30
        prterm          ,a25    @53
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
        prdate          ,a8     @1
        prsvia          ,a19    @12
        prfob           ,a11    @32
        prterm          ,a25    @53
*****

***** po4109.dbl
        prbuyr          ,a3     @1
        prclpd          ,a7     @11
        prrqdt          ,a8     @25
        prcfrm          ,a20    @35
record  ,X
        prorqt          ,a7     @1
        pritem          ,a20    @9
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
        prbuyr          ,a3     @1
        prclpd          ,a7     @12
        prrqdt          ,a8     @25
        prcfrm          ,a20    @37
        prloc           ,a4     @58
        prlocn          ,a3     @62
        prcor           ,a4     @67
        prcord          ,d6     @71
record  ,X
        prline          ,a5     @1
        prorqb          ,a2     @6
        pritem          ,a20    @9
*****

***** po4109.dbl
record  ,X
        prkitd          ,a4     @10
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
record  ,X
        prorqt          ,a7     @1
record  ,X
        prkitd          ,a4     @10
*****

***** po4109.dbl
        prkiti          ,a24    @14
        prkqty          ,a8     @1

***** C:\DTE\TECHFORCE\PO4109.DBL_TF
        prkiti          ,a24    @14
        prkqty          ,a7     @1

*****

***** po4109.dbl
        loop            ,d2             ; loop control
        mask0           ,a8,    'ZZZZ,ZZZ'
        mask            ,a11,   'ZZZZZZZ.XX-'
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
        loop            ,d2             ; loop control
        mask0a          ,a4,    'ZZZZ'
        mask0           ,a7,    'ZZZ,ZZZ'
        mask            ,a11,   'ZZZZZZZ.XX-'
*****

***** po4109.dbl
        if (po_cmpolp)
         then xcall askpr (ut_cmname,85,60,-2,po_cmpolp)
         else xcall askpr (ut_cmname,85,60,-2,ut_cmdefp)
        if (lp_sel.eq.'E') abort = TRUE
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
        if (po_cmpolp)
         then xcall askpr (ut_cmname,80,60,-2,po_cmpolp)
         else xcall askpr (ut_cmname,80,60,-2,ut_cmdefp)
        if (lp_sel.eq.'E') abort = TRUE
*****

***** po4109.dbl
        prcfrm = pom_confirmed
        call print
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
        prcfrm = pom_confirmed
        prloc = 'Loc:'
        prlocn = pom_locncode
        prcor = 'Ord:'
        prcord = pom_custord
        call print
*****

***** po4109.dbl
          endcase
        case in_cmqdec of
          begincase
          0: prorqt = qty_remain, mask0
          3: prorqt = qty_remain, mask3q
          endcase
        case pol_linetype of
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
          endcase
        if (qty_remain.gt.99)           ;Do not print line #
          begin
            case in_cmqdec of
              begincase
              0: prorqt = qty_remain, mask0
              3: prorqt = qty_remain, mask3q
              endcase
          end
         else
          begin
            prline = pol_lineno, '[LXZ]'
            case in_cmqdec of
              begincase
              0: prorqb = qty_remain, mask0a
              3: prorqt = qty_remain, mask3q
              endcase
          end
        case pol_linetype of
*****

***** po4109.dbl
            prcost_q = cost, mask3
;            prcost_s = '/'
;            prcost_u = pol_buomcode
          end
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
            prcost_q = cost, mask3
;           prcost_s = '/'
;           prcost_u = pol_buomcode
          end
*****

***** po4109.dbl
          end
        if (pol_ref1prt.eq.'P' .or. pol_ref1prt.eq.'B')
          begin
            if (lines.gt.line_max) call continued
            pline(11:60) = pol_refrnce1
            call print
            incr lines
          end
        if (pol_ref2prt.eq.'P' .or. pol_ref2prt.eq.'B')
          begin
            if (lines.gt.line_max) call continued
            pline(11:60) = pol_refrnce2
            call print
            incr lines
          end
        if (pol_slst.eq.'K') .and.
***** C:\DTE\TECHFORCE\PO4109.DBL_TF
          end
        if (pol_slst.eq.'K') .and.
*****

